<!doctype html>
<html lang="en" class="h-100">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <!-- Bootstrap CSS -->
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-KyZXEAg3QhqLMpG8r+8fhAXLRk2vvoC2f3B09zVXn8CA5QIVfZOJ3BCsw2P0p/We"
      crossorigin="anonymous" />
    <link href="{{ "css/fontawesome.min.css" | urlize | relURL }}" rel="stylesheet" />
    <style>
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        user-select: none;
      }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }
    </style>
    {{ $title := print .Site.Title " | " (.Params.Path_With_Namespace | default .Title) }}
    {{ if .IsHome }}{{ $title = .Site.Title }}{{ end }}
    <title>{{ $title }}</title>

    <!-- Custom styles for this template -->
    <link href="{{ "css/dashboard.css" | urlize | relURL }}" rel="stylesheet" />
    <script src="{{ "js/chart.js" | urlize | relURL }}"></script>
  </head>
  <body class="d-flex flex-column min-vh-100">
    <header class="navbar navbar-dark sticky-top bg-dark flex-md-nowrap p-0 shadow">
      <a class="navbar-brand col-md-3 col-lg-2 me-0 px-3" href="{{ .Site.BaseURL }}"
        >{{ .Site.Title }}</a
      >
      <button
        class="navbar-toggler position-absolute d-md-none collapsed"
        type="button"
        data-bs-toggle="collapse"
        data-bs-target="#sidebarMenu"
        aria-controls="sidebarMenu"
        aria-expanded="false"
        aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
    </header>
    <div class="container-fluid">
      <div class="row">
        <nav id="sidebarMenu" class="col-md-3 col-lg-2 d-md-block bg-light sidebar collapse">
          <div class="position-sticky pt-3">
            <ul class="nav flex-column">
              {{ $currentPage := . }}
              {{ range .Site.Menus.main }}
                <li class="nav-item">
                  <a
                    class="nav-link{{ if or ($currentPage.IsMenuCurrent "main" .) ($currentPage.HasMenuCurrent "main" .) }}
                      active
                    {{ end }}"
                    aria-current="page"
                    href="{{ .URL | absLangURL | safeURL }}"
                    title="{{ .Title }}">
                    {{- .Pre | safeHTML }}{{ .Title }}
                  </a>
                </li>
              {{ end }}
            </ul>

            <h6
              class="sidebar-heading d-flex justify-content-between align-items-center px-3 mt-4 mb-1 text-muted">
              <span>Vulnerability Reports</span>
              <!--<a class="link-secondary" href="#" aria-label="Add a new report">-->
              <!--<span data-feather="plus-circle"></span>-->
              <!--</a>-->
            </h6>
            <ul class="nav flex-column mb-2">
              {{ range .Site.Menus.vulnerabilities }}
                <li class="nav-item">
                  <a class="nav-link" href="{{ .URL | absLangURL| safeURL }}">
                    <span data-feather="file-text"></span>
                    {{- .Pre | safeHTML }}{{ .Title }}
                  </a>
                </li>
              {{ end }}
            </ul>

            <h6
              class="sidebar-heading d-flex justify-content-between align-items-center px-3 mt-4 mb-1 text-muted">
              <span>Docker images</span>
              <!--<a class="link-secondary" href="#" aria-label="Add a new report">-->
              <!--<span data-feather="plus-circle"></span>-->
              <!--</a>-->
            </h6>
            <ul class="nav flex-column mb-2">
              {{ range .Site.Menus.docker }}
                <li class="nav-item">
                  <a class="nav-link" href="{{ .URL | absLangURL| safeURL }}">
                    <span data-feather="file-text"></span>
                    {{- .Pre | safeHTML }}{{ .Title }}
                  </a>
                </li>
              {{ end }}
            </ul>
          </div>
        </nav>

        <main class="col-md-9 ms-sm-auto col-lg-10 px-md-4">
          <div
            class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
            {{ block "title" . }}
              <h1>{{ .Params.Path_With_Namespace | default .Title }}</h1>
            {{ end }}
          </div>

          {{ with .Description }}
            <p class="lead">
              {{ . }}
            </p>
          {{ end }}

          {{ block "main" . }}
            <!-- The part of the page that begins to differ between templates -->
          {{ end }}
        </main>
      </div>
    </div>

    <footer class="footer mt-auto py-3 bg-light">
      <div class="container-fluid col-md-3 ms-sm-auto col-lg-8 px-md-4">
        <span class="text-muted"
          >Site generated at
          <strong
            >{{ now | time.Format ":date_medium" }} - {{ now | time.Format ":time_short" }}</strong
          >{{ with getenv "CI_PROJECT_URL" }}from <a href="{{ . }}">{{ . }}</a> data.{{ end }}</span
        >
      </div>
    </footer>

    <!-- Optional JavaScript; choose one of the two! -->

    <!-- Option 1: Bootstrap Bundle with Popper -->
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-U1DAWAznBHeqEIlVSCgzq+c9gqGAJn5c/t99JyeKa9xxaYpSvHU5awsuZVVFIhvj"
      crossorigin="anonymous"></script>

    <!-- Option 2: Separate Popper and Bootstrap JS -->
    <!--
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.3/dist/umd/popper.min.js" integrity="sha384-eMNCOe7tC1doHpGoWe/6oMVemdAVTMs2xqW4mwXrXsW0L84Iytr2wi5v2QjrP/xp" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/js/bootstrap.min.js" integrity="sha384-cn7l7gDp0eyniUwwAZgrzD06kc/tftFf19TOAs2zVinnD/C7E91j9yyk5//jjpt/" crossorigin="anonymous"></script>
    -->
    <script
      src="https://cdn.jsdelivr.net/npm/feather-icons@4.28.0/dist/feather.min.js"
      integrity="sha384-uO3SXW5IuS1ZpFPKugNNWqTZRRglnUJK6UAZ/gxOX80nxEkN9NcGZTftn6RzhGWE"
      crossorigin="anonymous"></script>
    <script src="{{ "js/dashboard.js" | urlize | relURL }}"></script>
  </body>
</html>
